%define oname   zoom

Name:       ruby-%{oname}
Version:    0.4.1
Release:    %mkrel 10
Summary:    Ruby Zoom Handler
Group:      Development/Ruby
License:    MIT
URL:        http://tmail.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     zoom-0.4.1-ruby-1.9.patch
Patch1:     zoom-0.4.1-authors.patch
Patch2:     zoom-0.4.1-rake.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-test-unit
BuildRequires: ruby-rake
BuildRequires: yaz-devel

%description
Ruby/ZOOM provides a Ruby binding to the Z40.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface to 
a subset of the services specified by the Z39.50 standard, also 
known as the international standard ISO 23950.

%files
%{gem_instdir}/
%doc %{gem_instdir}/sample
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%{gem_spec}
%doc ChangeLog README
%{gem_extdir_mri}

#-------------------------------------------------------------------------------

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install

%check
# Ugly hack to allow the tests to find the .so
ln -s %buildroot%{gem_extdir_mri}/lib lib
rake test



%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.4.1-10.mga4
+ Revision: 562752
- Make patch1 more robust
- Fix gem macros and update patch1

* Sat Dec 21 2013 pterjan <pterjan> 0.4.1-9.mga4
+ Revision: 559577
- Update for new binary extensions location

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-8.mga4
+ Revision: 541920
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 pterjan <pterjan> 0.4.1-7.mga4
+ Revision: 496553
- Update the patch to not break when gems version changes

* Sun Sep 29 2013 pterjan <pterjan> 0.4.1-6.mga4
+ Revision: 488891
- Patch for new rake/rdoc/gem
- Use gem_setup and gem_build

* Sun Jun 23 2013 fwang <fwang> 0.4.1-5.mga4
+ Revision: 445846
- try building with ruby-test-unit

* Fri Feb 08 2013 umeabot <umeabot> 0.4.1-4.mga3
+ Revision: 396635
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 381632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 pterjan <pterjan> 0.4.1-2.mga3
+ Revision: 317039
- Get it to build (including modified version of a patch by Piotr Slatala)
- Patch for ruby 1.9

  + fwang <fwang>
    - rebuild for new ruby

* Fri Apr 29 2011 dmorgan <dmorgan> 0.4.1-1.mga1
+ Revision: 93465
- imported package ruby-zoom

